summaryrefslogtreecommitdiffstats
path: root/debian/tests/test-not-root
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 14:58:51 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 14:58:51 +0000
commite52abbeea0a0fd87f2df577263fdfcb89da6c1b0 (patch)
tree27a6f3ded04c521f55558166ee9322076339ca2b /debian/tests/test-not-root
parentAdding upstream version 1.21.22. (diff)
downloaddpkg-e52abbeea0a0fd87f2df577263fdfcb89da6c1b0.tar.xz
dpkg-e52abbeea0a0fd87f2df577263fdfcb89da6c1b0.zip
Adding debian version 1.21.22.debian/1.21.22debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/tests/test-not-root')
-rw-r--r--debian/tests/test-not-root22
1 files changed, 22 insertions, 0 deletions
diff --git a/debian/tests/test-not-root b/debian/tests/test-not-root
new file mode 100644
index 0000000..cf6db12
--- /dev/null
+++ b/debian/tests/test-not-root
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+
+if [ "$(id -u)" = '0' ]; then
+ # Skip, we cannot declare we do not want root.
+ exit 77
+fi
+
+srcdir="$(pwd)"
+
+cd $AUTOPKGTEST_TMP
+"$srcdir/configure" \
+ --disable-nls \
+ --disable-dselect \
+ --prefix=/usr \
+ --sbindir=/sbin \
+ --libexecdir='${exec_prefix}/lib' \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ # EOL
+make installcheck TESTSUITEFLAGS=--verbose